

drivers/acpi/sleep/poweroff.c: In function `acpi_poweroff_init':
drivers/acpi/sleep/poweroff.c:85: parse error before `int'
drivers/acpi/sleep/poweroff.c:86: `error' undeclared (first use in this function

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/acpi/sleep/poweroff.c |   12 ++++++++----
 1 files changed, 8 insertions(+), 4 deletions(-)

diff -puN drivers/acpi/sleep/poweroff.c~acpi-poweroff-fix-fix drivers/acpi/sleep/poweroff.c
--- 25/drivers/acpi/sleep/poweroff.c~acpi-poweroff-fix-fix	2005-03-11 15:44:46.000000000 -0800
+++ 25-akpm/drivers/acpi/sleep/poweroff.c	2005-03-11 15:44:46.000000000 -0800
@@ -82,10 +82,14 @@ static int acpi_poweroff_init(void)
                 if (ACPI_SUCCESS(status)) {
 			pm_power_off = acpi_power_off;
 #ifdef CONFIG_PM
-			int error = sysdev_class_register(&acpi_sysclass);
-			if (!error)
-				error = sysdev_register(&device_acpi);
-			return error;
+			{
+				int error;
+
+				error = sysdev_class_register(&acpi_sysclass);
+				if (!error)
+					error = sysdev_register(&device_acpi);
+				return error;
+			}
 #endif
 		}
         }
_
